Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,4 +3,5 @@
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
+import parkup.data.Tablicka;
 import parkup.entities.ParkingSession;
 import parkup.services.ParkingSessionService;
@@ -33,14 +34,34 @@
     }
 
-    @PostMapping({"/parkingSession"})
-    public Optional<ParkingSession> addParkingSession(@RequestBody ParkingSession parkingSession) {
-        //System.out.println("???????");
-        return this.parkingSessionService.addParkingSession(parkingSession);
+    @PostMapping({"/parkingSession/{parkingZoneId}"})
+    public Optional<ParkingSession> startParkingSession(@RequestParam String tablicka, @PathVariable int parkingZoneId) {
+        return this.parkingSessionService.startParkingSession(tablicka,parkingZoneId);
     }
+// TODO: vidi kako kje funkcionira update na sesija i nejzino plakjanje so frontot
 
-    @PutMapping({"/parkingSession/{parkingSessionId}"})
-    public void updateParkingSession(@PathVariable int parkingSessionId, @RequestBody ParkingSession parkingSession) {
-        parkingSessionService.updateParkingSession(parkingSessionId,
-                parkingSession.getTimeStart(), parkingSession.getTimeEnd(), parkingSession.getTablica());
+//    @PutMapping({"/parkingSession/{parkingSessionId}"})
+//    public void updateParkingSession(@PathVariable int parkingSessionId, @RequestBody ParkingSession parkingSession) {
+//        parkingSessionService.updateParkingSession(parkingSessionId,
+//                parkingSession.getTimeStart(), parkingSession.getTimeEnd(), parkingSession.getTablica());
+//    }
+//    @PutMapping({"/parkingSession/pay/{parkingSessionId"})
+//    public void payParkingSession(@PathVariable int parkingSessionId){
+//        parkingSessionService.paySession
+//    }
+    @PutMapping("/parkingSession/end/{parkingSessionId}")
+    public ParkingSession endParkingSession(@PathVariable int parkingSessionId){
+        return this.parkingSessionService.endParkingSession(parkingSessionId);
+    }
+    @PutMapping("/parkingSession/verify/{parkingSessionId}")
+    public ParkingSession verifyParkingSession(@PathVariable int parkingSessionId,@RequestParam String parkingSpaceName,@RequestParam int parkingZoneId){
+        return this.parkingSessionService.verifyParkingSession(parkingSessionId,parkingSpaceName,parkingZoneId);
+    }
+    @GetMapping("/parkingSession/calculate/{parkingSessionId}")
+    public int calculateParkingSession(@PathVariable int parkingSessionId){
+        return this.parkingSessionService.calculatePayment(parkingSessionId);
+    }
+    @PutMapping("/parkingSession/pay/{parkingSessionId}")
+    public boolean payParkingSession(@PathVariable int parkingSessionId,@RequestParam String expireDate){
+        return this.parkingSessionService.payParkingSession(parkingSessionId,expireDate);
     }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -33,18 +33,12 @@
     }
 
-    @PostMapping({"/parkingSpace"})
-    public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace) {
-<<<<<<< HEAD
-        System.out.println("???????");
-=======
-        //System.out.println("???????");
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
-        return this.parkingSpaceService.addParkingSpace(parkingSpace);
+    @PostMapping({"/parkingSpace/add/{parkingZoneId}"})
+    public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace,@PathVariable int parkingZoneId) {
+        return this.parkingSpaceService.addParkingSpace(parkingSpace,parkingZoneId);
     }
 
     @PutMapping({"/parkingSpace/{parkingSpaceId}"})
     public void updateParkingSpace(@PathVariable int parkingSpaceId, @RequestBody ParkingSpace parkingSpace) {
-        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(),
-                parkingSpace.isHandicaped(), parkingSpace.getLat(), parkingSpace.getLng());
+        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(), parkingSpace.getLat(), parkingSpace.getLng());
     }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingZoneController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,4 +3,5 @@
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
+import parkup.data.ParkingZoneAdminView;
 import parkup.entities.ParkingZone;
 import parkup.services.ParkingZoneService;
@@ -49,12 +50,9 @@
 
     @PutMapping({"/parkingZone/{parkingZoneId}"})
-    public ParkingZone updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZone parkingZone) {
-        return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(), parkingZone.getCapacity(),
-                parkingZone.getLocation(), parkingZone.getFrom(), parkingZone.getTo(), parkingZone.getColor(),
-<<<<<<< HEAD
+    public ParkingZone updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZoneAdminView parkingZone) {
+        return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(),
+                parkingZone.getAddress(), parkingZone.getTime_from(), parkingZone.getTime_to(), parkingZone.getColor(),
                 parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation(),parkingZone.getOdgovorniLica());
-=======
-                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation());
->>>>>>> 9504a097ce80831ea7e7130dff7215d5fbf8e939
+
     }
 
Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 2ace8f05cb6199d05ce30472306247199bdbfa30)
+++ sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
@@ -3,9 +3,12 @@
 import java.util.List;
 import java.util.Optional;
+import java.util.stream.Collectors;
 
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
 import parkup.configs.RegistrationRequest;
-import parkup.configs.RegistrationServiceW;
+//import parkup.configs.RegistrationServiceW;
+import parkup.data.AddUpdateVraboten;
+import parkup.data.enumarations.EmployeeStatus;
 import parkup.entities.Vraboten;
 import parkup.services.VrabotenService;
@@ -15,10 +18,9 @@
 public class VrabotenController {
     private final VrabotenService vrabotenService;
-    private final RegistrationServiceW registrationServiceW;
+//    private final RegistrationServiceW registrationServiceW;
 
     @Autowired
-    public VrabotenController(VrabotenService vrabotenService, RegistrationServiceW registrationServiceW) {
+    public VrabotenController(VrabotenService vrabotenService) {
         this.vrabotenService = vrabotenService;
-        this.registrationServiceW = registrationServiceW;
     }
 
@@ -44,17 +46,23 @@
 
     @PostMapping({"/vraboten"})
-    public Optional<Vraboten> addVraboten(@RequestBody Vraboten vraboten) {
-        return this.vrabotenService.addVraboten(vraboten);
+    public Optional<Vraboten> addVraboten(@RequestBody AddUpdateVraboten vraboten) {
+        return this.vrabotenService.addVraboten(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
-    @PostMapping({"/vraboten/{vrabotenId}"})
+    @PutMapping({"/vraboten/lock/{vrabotenId}"})
     public void lockVraboten(@PathVariable int vrabotenId) {
         this.vrabotenService.lockVrabotenAcc(vrabotenId);
     }
 
+//    @PostMapping({"/vraboten/setStatus/{vrabotenId}"})
+//    public void setVrabotenStatus(@PathVariable int vrabotenId,@RequestParam String vrabotenStatus){
+//        this.vrabotenService.setVrabotenStatus(vrabotenId,vrabotenStatus);
+//    }
+
     @PutMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody Vraboten vraboten) {
-        return this.vrabotenService.updateVraboten(vrabotenId, vraboten.getFirstName(), vraboten.getLastName(),
-                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus());
+    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateVraboten vraboten) {
+        return this.vrabotenService.updateVraboten(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
@@ -64,12 +72,12 @@
     }
 
-    @PostMapping({"/vraboten/registration"})
-    public String register(@RequestBody RegistrationRequest request){
-        return registrationServiceW.register(request);
-    }
-
-    @GetMapping(path = "/vraboten/registration/confirm")
-    public String confirm(@RequestParam("token") String token) {
-        return registrationServiceW.confirmToken(token);
-    }
+//    @PostMapping({"/vraboten/registration"})
+//    public String register(@RequestBody RegistrationRequest request){
+//        return registrationServiceW.register(request);
+//    }
+//
+//    @GetMapping(path = "/vraboten/registration/confirm")
+//    public String confirm(@RequestParam("token") String token) {
+//        return registrationServiceW.confirmToken(token);
+//    }
 }
